Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.text
Class PrintSettings.PageFormatEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.openide.text.PrintSettings.PageFormatEditor

All Implemented Interfaces:
  PropertyEditor

Enclosing class:
  PrintSettings

    public static class PrintSettings.PageFormatEditor

extends PropertyEditorSupport

Property editor for PageFormat instances

Constructor Summary
`PrintSettings.PageFormatEditor()`

Method Summary
`String` | `getAsText()` No text
`Component` | `getCustomEditor()`
`boolean` | `supportsCustomEditor()`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintSettings.PageFormatEditor

    public PrintSettings.PageFormatEditor()

Method Detail

### getAsText

    public String getAsText()

  No text

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Overrides:
    `getAsText` in class `PropertyEditorSupport`

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Specified by:
    `supportsCustomEditor` in interface `PropertyEditor`
  Overrides:
    `supportsCustomEditor` in class `PropertyEditorSupport`

### getCustomEditor

    public Component getCustomEditor()

  Specified by:
    `getCustomEditor` in interface `PropertyEditor`
  Overrides:
    `getCustomEditor` in class `PropertyEditorSupport`
  Returns:
    `null` Shows pageDialog, however.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.